Bug 1300273 - (CVE-2015-8158) CVE-2015-8158 ntp: potential infinite loop in ntpq
CVE-2015-8158 ntp: potential infinite loop in ntpq
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160120,reported=2...
: Security
Depends On: 1300277 1317795
Blocks: 1297474 1323912
  Show dependency treegraph
 
Reported: 2016-01-20 06:43 EST by Martin Prpič
Modified: 2016-11-06 00:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: ntp 4.2.8p6
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the ntpq client processed certain incoming packets in a loop in the getresponse() function. A remote attacker could potentially use this flaw to crash an ntpq client instance.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 09:36:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-01-20 06:43:48 EST
A flaw was found in the way the ntpq client certain processed incoming packets in a loop in the getresponse() function:

The loop's only stopping conditions are receiving a complete and correct response or hitting a small number of error conditions. If the packet contains incorrect values that don't trigger one of the error conditions, the loop continues to receive new packets.

A remote attacker could potentially use this flaw to crash an ntpq client instance. This attack requires the attacker to do one of the following:

* Own a malicious NTP server that the client trusts

* Prevent a legitimate NTP server from sending packets to the 'ntpq' client

* MITM the 'ntpq' communications between the 'ntpq' client and the NTP server
Comment 2 Martin Prpič 2016-01-20 07:02:11 EST
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1300277]
Comment 3 Martin Prpič 2016-01-20 09:36:00 EST
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 4 Fedora Update System 2016-01-30 13:21:29 EST
ntp-4.2.6p5-36.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-02-20 21:25:00 EST
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2016-11-03 15:33:45 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html

Note You need to log in before you can comment on or make changes to this bug.